Financials

US As Reported

Call GET /us/financials/as-reported on the Corpus API.

GET /us/financials/as-reported

Call GET /us/financials/as-reported on the Corpus API.

Category: US · Financial Statements

Authentication

Send the provisioned API key in the X-API-KEY header.

Required scopes: us:read.

Request

NameInRequiredTypeConstraintsDescription
tickerqueryyesstring
as_ofquerynostring | null
limitquerynointegerdefault 40; min 1; max 200

Example request

curl --request GET \
  --url 'https://corpus-api.onera.app/us/financials/as-reported?ticker=AAPL' \
  --header "X-API-KEY: ${CORPUS_API_KEY}"

Responses

StatusDescriptionContent typeSchema
200Successful Responseapplication/jsonAsReportedResponse
400Invalid parameter combinationapplication/jsonErrorResponse
401Missing or invalid API keyapplication/jsonErrorResponse
403Insufficient jurisdiction or scopeapplication/jsonErrorResponse
404Unknown resourceapplication/jsonErrorResponse
422Request schema validation failedapplication/jsonErrorResponse
429Rate limit exceededapplication/jsonErrorResponse
503Source content is unavailable or still processingapplication/jsonErrorResponse

Representative 200 response

{
  "as_reported_statements": [
    {
      "ticker": "AAPL",
      "report_period": "2025-12-31",
      "statement": "string",
      "line_items": [
        {}
      ],
      "accession_number": "0000320193-25-000079"
    }
  ],
  "meta": {
    "jurisdiction": "US",
    "count": 1,
    "limit": 10,
    "offset": 0,
    "next_offset": null,
    "as_of": "2025-12-31T23:59:59Z",
    "normalization_version": "string",
    "provenance": {}
  }
}